Package net.shibboleth.idp.consent.context

# Class AttributeReleaseContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.consent.context.AttributeReleaseContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class AttributeReleaseContext extends BaseContext
Context for attribute release consent. Holds the attributes for which consent is obtained.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,IdPAttribute>`
`consentableAttributes`
Attributes to be consented to.

## Constructor Summary

Constructors
Constructor
Description
`AttributeReleaseContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`getConsentableAttributes()`
Get the attributes to be consented to.
`String`
`toString()`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### consentableAttributes

@Nonnull @Live private Map<String,IdPAttribute> consentableAttributes
Attributes to be consented to.

## Constructor Details

### AttributeReleaseContext

public AttributeReleaseContext()
Constructor.

## Method Details

### getConsentableAttributes

@Nonnull @Live public Map<String,IdPAttribute> getConsentableAttributes()
Get the attributes to be consented to.

Returns:
  the attributes to be consented to

### toString

public String toString()

Overrides:
  `toString` in class `Object`